package org.qiyi.android.plugin.ipc;

import org.qiyi.android.plugin.ipc.AidlPlugCallback;
import org.qiyi.android.plugin.ipc.IPCBean;
import org.qiyi.android.plugin.common.PluginDeliverData;
interface AidlPlugService {
    /***注册回调*/
    oneway void registerCallback(AidlPlugCallback callback);
    /***注销回调*/
    oneway void unregisterCallback(AidlPlugCallback callback);
    /***获取插件的pid*/
    int getPluginPID();
    /**主工程与插件通信*/
    oneway void notifyPlugin(in IPCBean bean);
    /***
    * send message from host to plugin,
    * this is synchronous,we can get the return string directly.
    * so do not do any time-consuming task
    * this should be use in callback
    * @see PluginCallback
    */
    PluginDeliverData hostGetPluginData(in PluginDeliverData input);

    /**
    * Notify plugin to exit process
    */
    oneway void exit();

    /**
    * Notify plugin process debug status
    */
    oneway void notifyDebugStatus(in boolean isDebug);

    boolean isPluginReady(String packageName);

    /**
    * Update common verb for plugin process
    */
    oneway void updateHostVar(in int verId, in String content);

    boolean isPluginRunning(String packageName);

    String getTopActivity();

    /*
    * handle boardcast from host
    */
    oneway void onReceive(in PluginDeliverData data);

    /*
    * handle plugindata from host
    */
    oneway void handlePluginData(in PluginDeliverData data);
}
