package org.qiyi.android.plugin.ipc;

import org.qiyi.android.plugin.ipc.IPCBean;

/**
* Helper for process packagename's process(com.qiyi.video) to ask
* packagename's process to start plugin.
* All plugin should only managed by one host process(packagename's process).
*
* All method should corresponding with IPCPlugNative
*/
interface IPluginBootHelper {
    /**
    * Ask host process start plugin
    */
    oneway void startService(in IPCBean bean);

    /**
    * Ask host process start and bind plugin
    */
    oneway void startAndBindService(String serviceName, in IPCBean bean);

    oneway void startPlugin(in IPCBean bean);

    oneway void notifyPlugLoginOrOut();

    oneway void notifyPlugLogin();

    oneway void notifyPlugLogout();

    oneway void notifyDownloadStatus(in IPCBean bean);

    oneway void stopPluginService(in IPCBean bean);
}
